Package org.eclipse.net4j.util.security

# Class ChallengeResponseNegotiator.Transition

java.lang.Object
org.eclipse.net4j.util.security.ChallengeResponseNegotiator.Transition

All Implemented Interfaces:
  `ITransition<IChallengeResponse.State,IChallengeResponse.Event,INegotiationContext,ByteBuffer>`

Enclosing class:
  `ChallengeResponseNegotiator`

protected abstract class ChallengeResponseNegotiator.Transition extends Object implements ITransition<IChallengeResponse.State,IChallengeResponse.Event,INegotiationContext,ByteBuffer>

Author:
  Eike Stepper

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Transition()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`execute(INegotiationContext context, ByteBuffer buffer)`
`final void`
`execute(INegotiationContext context, IChallengeResponse.State state, IChallengeResponse.Event event, ByteBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Transition

protected Transition()

## Method Details

### execute

public final void execute(INegotiationContext context, IChallengeResponse.State state, IChallengeResponse.Event event, ByteBuffer buffer)

Specified by:
  `execute` in interface `ITransition<IChallengeResponse.State,IChallengeResponse.Event,INegotiationContext,ByteBuffer>`

### execute

protected abstract void execute(INegotiationContext context, ByteBuffer buffer)